
import sys
import FreeCAD as App
from .freecad_exporters import publish_project_database

def process_file():
    
    filename = App.getDocument(App.ActiveDocument.Label)
    publish_project_database(filename)


if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("Использование: python main.py ")
    else:
        filename = sys.argv[1]
        process_file(filename)